// unit: cm

// all coordinate systems have their origin at the smallest coordinates
// of the object

cnc_base_x = 106;
cnc_excess_xplus = 3; // ueberhang x-motoren
cnc_base_y = 64;
cnc_excess_yminus = 8; // y-motor
cnc_base_z = 6;
cnc_feetheight = 1;

cnc_xaxis_z = 11;
cnc_xaxis_y = 6;

// y axis coordinates based on the metal side parts with the two big and the one small hole in them
cnc_yaxis_xmin = 12;
cnc_yaxis_xrange = 88-14;

cnc_yaxis_x = 8;
cnc_yaxis_z = 28.5;

cnc_zaxis_z = 28;
cnc_zaxis_y = 9;
cnc_zaxis_ymin = 5;
cnc_zaxis_yrange = cnc_base_y - 2*cnc_zaxis_ymin - cnc_zaxis_y;

cnc_zsled_x = 11;
cnc_zsled_z = 34;

_cnc_zsled_zmax = 16.5 + cnc_base_z + cnc_feetheight;
cnc_zsled_range = 25.5 - 2.5 - 9.5;
cnc_zsled_zmin = _cnc_zsled_zmax - cnc_zsled_range;

cnc_zsled_to_mill = [3.5, cnc_zaxis_y/2, 2];

// state parameters
cnc_yaxis_xpos = abs(($t*3)%2-1);
cnc_zaxis_ypos = abs(($t*4)%2-1);
cnc_zsled_zpos = abs(($t*10)%2-1);

tool_radius = 4.5;
tool_height = 31;

// feet
cnc_feet_r = 1.3/2;
cnc_feet_offsetx = 7.1 + cnc_feet_r;
cnc_feet_offsety1 = 1.6;
cnc_feet_offsety2 = 6 - 1.6;
